summaryrefslogtreecommitdiff
path: root/qa/946
diff options
context:
space:
mode:
Diffstat (limited to 'qa/946')
-rwxr-xr-xqa/94671
1 files changed, 71 insertions, 0 deletions
diff --git a/qa/946 b/qa/946
new file mode 100755
index 0000000..979323f
--- /dev/null
+++ b/qa/946
@@ -0,0 +1,71 @@
+#!/bin/sh
+# PCP QA Test No. 946
+# Test using the pmfind app to find pmcd servers using the avahi discovery mechanism
+#
+# Copyright (c) 2014 Red Hat. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+. ./common.discovery
+
+_get_libpcp_config
+$service_discovery || _notrun "No support for service discovery"
+
+signal=$PCP_BINADM_DIR/pmsignal
+$sudo $signal -a pmproxy pmwebd
+
+# Make sure that the avahi mechanism is available.
+discovery_available=false
+avahi-daemon --check 2>/dev/null && discovery_available=true
+$discovery_available || _notrun "avahi discovery mechanism is not available"
+
+status=1 # failure is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "cd $here; rm -rf $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+
+echo "-m avahi"
+pmfind -m avahi | _filter_discovery_unresolved
+echo "Exit status: $?"
+
+echo "-s pmcd -m avahi -r"
+pmfind -s pmcd -m avahi -r | _filter_discovery_resolved
+echo "Exit status: $?"
+
+echo "-q -m avahi"
+pmfind -q -m avahi
+echo "Exit status: $?"
+
+echo "-q -s pmcd -m avahi"
+pmfind -q -s pmcd -m avahi
+echo "Exit status: $?"
+
+echo "-q -s pmcd -m avahi,timeout=5.0"
+pmfind -q -s pmcd -m avahi,timeout=5.0
+# up to 5 seconds may elapse here
+echo "Exit status: $?"
+
+echo "-q -s pmcd -m avahi with AVAHI_DISCOVERY_TIMEOUT=5"
+AVAHI_DISCOVERY_TIMEOUT=5 pmfind -q -s pmcd -m avahi
+# up to 5 seconds may elapse here
+echo "Exit status: $?"
+
+echo "-m all"
+pmfind -m all | _filter_discovery_unresolved
+echo "Exit status: $?"
+
+echo "-m all --resolve"
+pmfind -m all --resolve | _filter_discovery_resolved
+echo "Exit status: $?"
+
+# success, all done
+status=0
+
+exit